> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Sync a connection by path

POST https://api.sigmacomputing.com/v2/connections/{connectionId}/sync
Content-Type: application/json


  Sync the connection for a data source to retrieve any changes from the data warehouse.

  ### Usage notes
  - Specify the path to a table, stored procedure, schema, or database in your data warehouse that you want to sync. To trigger a full connection sync, provide an empty path (`[]`).
  - Retrieve the **connectionId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
  - Different connections support different paths:

    - For a Snowflake connection, you can specify `DATABASE.SCHEMA.TABLE`, `DATABASE.SCHEMA.STORED_PROCEDURE`, or a less-specific path.
    - For Amazon Redshift, you can specify `SCHEMA.TABLE`, `SCHEMA.STORED_PROCEDURE`, or a less-specific path.
    - For Databricks, you can specify `CATALOG.SCHEMA.TABLE` or a less-specific path.
    

Reference: https://help.sigmacomputing.com/reference/sync-connection-path

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/connections/{connectionId}/sync:
    post:
      operationId: syncConnectionPath
      summary: Sync a connection by path
      description: |2-

          Sync the connection for a data source to retrieve any changes from the data warehouse.

          ### Usage notes
          - Specify the path to a table, stored procedure, schema, or database in your data warehouse that you want to sync. To trigger a full connection sync, provide an empty path (`[]`).
          - Retrieve the **connectionId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
          - Different connections support different paths:

            - For a Snowflake connection, you can specify `DATABASE.SCHEMA.TABLE`, `DATABASE.SCHEMA.STORED_PROCEDURE`, or a less-specific path.
            - For Amazon Redshift, you can specify `SCHEMA.TABLE`, `SCHEMA.STORED_PROCEDURE`, or a less-specific path.
            - For Databricks, you can specify `CATALOG.SCHEMA.TABLE` or a less-specific path.
            
      tags:
        - Connections
      parameters:
        - name: connectionId
          in: path
          required: true
          schema:
            type: string
        - name: useServiceAccount
          in: query
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/connections_syncConnectionPath_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                path:
                  $ref: >-
                    #/components/schemas/V2ConnectionsConnectionIdSyncPostRequestBodyContentApplicationJsonSchemaPath
              required:
                - path
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ConnectionsConnectionIdSyncPostRequestBodyContentApplicationJsonSchemaPath:
      oneOf:
        - type: array
          items:
            type: string
        - type: array
          items:
            type: string
        - type: array
          items:
            type: string
        - type: array
          items:
            description: Any type
      title: >-
        V2ConnectionsConnectionIdSyncPostRequestBodyContentApplicationJsonSchemaPath
    connections_syncConnectionPath_Response_200:
      type: object
      properties: {}
      title: connections_syncConnectionPath_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "path": [
    "SALES_DB",
    "PUBLIC",
    "CUSTOMERS"
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/connections/connectionId/sync"

payload = { "path": ["SALES_DB", "PUBLIC", "CUSTOMERS"] }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/connections/connectionId/sync';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"path":["SALES_DB","PUBLIC","CUSTOMERS"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/connections/connectionId/sync"

	payload := strings.NewReader("{\n  \"path\": [\n    \"SALES_DB\",\n    \"PUBLIC\",\n    \"CUSTOMERS\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/connections/connectionId/sync")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"path\": [\n    \"SALES_DB\",\n    \"PUBLIC\",\n    \"CUSTOMERS\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/connections/connectionId/sync")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"path\": [\n    \"SALES_DB\",\n    \"PUBLIC\",\n    \"CUSTOMERS\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/connections/connectionId/sync', [
  'body' => '{
  "path": [
    "SALES_DB",
    "PUBLIC",
    "CUSTOMERS"
  ]
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/connections/connectionId/sync");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"path\": [\n    \"SALES_DB\",\n    \"PUBLIC\",\n    \"CUSTOMERS\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["path": ["SALES_DB", "PUBLIC", "CUSTOMERS"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/connections/connectionId/sync")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```